Package org.xnio

# Class ChainedChannelListener<T extends Channel>

java.lang.Object
org.xnio.ChainedChannelListener<T>

All Implemented Interfaces:
  `EventListener`, `ChannelListener<T>`

public final class ChainedChannelListener<T extends Channel> extends Object implements ChannelListener<T>
A channel listener that chains calls to a number of other channel listeners.

Author:
  David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`ChannelListener.Setter<T extends Channel>, ChannelListener.SimpleSetter<T extends Channel>`

## Constructor Summary

Constructors
Constructor
Description
`ChainedChannelListener(ChannelListener<? super T>... listeners)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(T channel)`
Handle the event on this channel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChainedChannelListener

public ChainedChannelListener(ChannelListener<? super T>... listeners)
Construct a new instance. The given array will be copied.

Parameters:
  `listeners` - the listeners to chain to

## Method Details

### handleEvent

public void handleEvent(T channel)
Description copied from interface: `ChannelListener`
Handle the event on this channel.

Specified by:
  `handleEvent` in interface `ChannelListener<T extends Channel>`
Parameters:
  `channel` - the channel event